Subject: Re: bug#30145: [PATCH] doc: Document undefined?.

From: Mark H Weaver <[email-masked]>
Date: Sun, 21 Jan 2018 09:33:40 -0500

Arun Isaac <[email-masked]> writes:
> * doc/ref/data-rep.texi: Document undefined?.

Is 'undefined?' a procedure in your Guile?  It's not available at my
Guile REPL,and I can't find a single occurrence of 'undefined?' in my
guile stable-2.2 git checkout.

There is a special SCM_UNDEFINED value at the C level, but it's only
used for a couple of internal purposes and not usable from Scheme at
all.

FYI, the two internal purposes are these: (1) if SCM_UNDEFINED is passed
as an optional argument to a Scheme procedure implemented in C, this
indicates that the optional argument was not actually present.  (2) if
SCM_UNDEFINED is stored in a top-level variable object, that indicates
that the variable is no longer bound, i.e. it was actually removed.

       Mark